package com.leyou.es.pojo;

import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;
//import org.springframework.data.elasticsearch.annotations.Document;
//import org.springframework.data.elasticsearch.annotations.Field;
//import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 * @author :cza
 * @date :2020/5/12 12:21
 * @description :
 * @modyified By:
 */
@Data
@Document(indexName = "heima3",type = "item",shards = 1,replicas = 0)
public class Item {
    @Id
    @Field(type= FieldType.Integer)
    private Integer id;
    @Field(type= FieldType.Text,analyzer = "ik_smart")
    private String title; //标题
    @Field(type= FieldType.Keyword)
    private String category; //分类

    @Field(type= FieldType.Keyword)
    private String brand; //品牌
    @Field(type= FieldType.Double)
    private Double price; //价格

    public Item(Integer id, String title, String category, String brand, Double price, String images) {
        this.id = id;
        this.title = title;
        this.category = category;
        this.brand = brand;
        this.price = price;
        this.images = images;
    }

    public Item() {
    }

    @Field(type= FieldType.Keyword,index = false)
    private  String images; //图片地址
}
